import 'package:json_annotation/json_annotation.dart';
import 'package:lori_sdk/data/models/product/product.dart';

part 'buyedItem.g.dart';

@JsonSerializable()
class BuyedItem {
  BuyedItem();

  String id;
  Sku sku;
  double unitPrice;
  int quantity;
  double totalPrice;

  factory BuyedItem.fromJson(Map<String, dynamic> json) =>
      _$BuyedItemFromJson(json);

  Map<String, dynamic> toJson() => _$BuyedItemToJson(this);
}
